package com.mcwl.memberCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 权益vo
 */
@Data
public class BenefitVo {

    private Long id;
    /**
     * 权益名称
     */
    private String benefitName;
    /**
     * 权益描述
     */
    private String benefitDesc;
    /**
     * 权益类型
     */
    private String benefitType;
    /**
     * 权益折扣，当权益类型为折扣时，记录折扣具体数值
     */
    private Double benefitDiscount;
    /**
     * 权益排序
     */
    private Integer benefitOrder;


}
